OS X Mavericks v10.9.5 및 보안 업데이트 2014-004의 보안 콘텐츠에 관하여

이 문서에서는 OS X Mavericks v10.9.5 및 보안 업데이트 2014-004의 보안 콘텐츠에 대해 설명합니다

이 업데이트는 소프트웨어 업데이트 또는 Apple 지원 웹 사이트를 통해 다운로드하고 설치할 수 있습니다.

Apple은 고객 보호를 위해 완벽한 조사를 마치고 필요한 패치 또는 출시를 제공할 때까지 보안 문제에 대해 공개하거나, 이야기하거나, 확인하지 않습니다. Apple 제품 보안에 대한 자세한 내용을 알아보려면 Apple 제품 보안 웹 사이트를 참조하십시오.

Apple 제품 보안 PGP 키에 관한 자세한 내용은 Apple 제품 보안 PGP 키 사용 방법을 참조하십시오.

가능한 경우 CVE ID로 취약성에 대한 추가 정보를 참조할 수 있습니다.

다른 보안 업데이트에 대한 자세한 내용은 Apple 보안 업데이트를 참조하십시오.

참고: OS X Mavericks v10.9.5에는 Safari 7.0.6의 보안 콘텐츠가 포함되어 있습니다.

OS X Mavericks v10.9.5 및 보안 업데이트 2014-004

  • apache_mod_php

    대상: OS X Mavericks v10.9~v10.9.4

    영향: PHP 5.4.24의 여러 가지 취약점

    설명: PHP 5.4.24의 여러 가지 취약점 중 가장 심각한 취약점으로 인해 임의 코드가 실행될 수 있습니다. 이 업데이트는 PHP를 버전 5.4.30으로 업데이트하여 문제를 해결합니다.

    CVE-ID

    CVE-2013-7345

    CVE-2014-0185

    CVE-2014-0207

    CVE-2014-0237

    CVE-2014-0238

    CVE-2014-1943

    CVE-2014-2270

    CVE-2014-3478

    CVE-2014-3479

    CVE-2014-3480

    CVE-2014-3487

    CVE-2014-3515

    CVE-2014-3981

    CVE-2014-4049

  • Bluetooth

    대상: OS X Mavericks v10.9~v10.9.4

    영향: 악성 응용 프로그램이 시스템 권한을 사용하여 임의 코드를 실행할 수 있음

    설명: Bluetooth API 호출 처리 시 확인 문제가 발생합니다. 이 문제는 향상된 범위 검사를 통해 해결되었습니다.

    CVE-ID

    CVE-2014-4390: Google Project Zero의 Ian Beer

  • CoreGraphics

    대상: OS X Mavericks v10.9~v10.9.4

    영향: 악의적으로 제작된 PDF 파일을 열면 응용 프로그램이 예기치 않게 종료되거나 정보가 공개될 수 있음

    설명: PDF 파일을 처리할 때 범위를 벗어나는 메모리 읽기 문제가 발생합니다. 이 문제는 향상된 범위 검사를 통해 해결되었습니다.

    CVE-ID

    CVE-2014-4378: iSIGHT Partners GVP Program과 협력하는 Binamuse VRT의 Felipe Andres Manzano

  • CoreGraphics

    대상: OS X Lion v10.7.5, OS X Lion Server v10.7.5, OS X Mountain Lion v10.8.5, OS X Mavericks v10.9~v10.9.4

    영향: 악의적으로 제작된 PDF 파일을 열면 응용 프로그램이 예기치 않게 종료되거나 임의 코드가 실행될 수 있음

    설명: PDF 파일을 처리할 때 정수 오버플로우가 발생합니다. 이 문제는 향상된 범위 검사를 통해 해결되었습니다.

    CVE-ID

    CVE-2014-4377: iSIGHT Partners GVP Program과 협력하는 Binamuse VRT의 Felipe Andres Manzano

  • Foundation

    대상: OS X Mavericks v10.9~v10.9.4

    영향: NSXMLParser를 사용하는 응용 프로그램을 잘못 사용하여 정보가 공개될 수 있음

    설명: NSXMLParser에서 XML을 처리할 때 XML External Entity 문제가 발생합니다. 이 문제는 원본 간에 외부 엔터티를 로드하지 않도록 하여 해결되었습니다.

    CVE-ID

    CVE-2014-4374: VSR(http://www.vsecurity.com/)의 George Gal

  • Intel 그래픽 드라이버

    대상: OS X Mountain Lion v10.8.5, OS X Mavericks v10.9~v10.9.4

    영향: 신뢰할 수 없는 GLSL 셰이더를 컴파일하면 응용 프로그램이 예기치 않게 종료되거나 임의 코드가 실행될 수 있음

    설명: 셰이더 컴파일러에서 사용자 공간 버퍼 오버플로우가 발생합니다. 이 문제는 향상된 범위 검사를 통해 해결되었습니다.

    CVE-ID

    CVE-2014-4393: Apple

  • Intel 그래픽 드라이버

    대상: OS X Mountain Lion v10.8.5, OS X Mavericks v10.9~v10.9.4

    영향: 악성 응용 프로그램이 시스템 권한을 사용하여 임의 코드를 실행할 수 있음

    설명: 일부 통합된 그래픽 드라이버 루틴에서 여러 가지 확인 문제가 발생합니다. 이러한 문제는 향상된 경계 검사를 통해 해결되었습니다.

    CVE-ID

    CVE-2014-4394: Google Project Zero의 Ian Beer

    CVE-2014-4395: Google Project Zero의 Ian Beer

    CVE-2014-4396: Google Project Zero의 Ian Beer

    CVE-2014-4397: Google Project Zero의 Ian Beer

    CVE-2014-4398: Google Project Zero의 Ian Beer

    CVE-2014-4399: Google Project Zero의 Ian Beer

    CVE-2014-4400: Google Project Zero의 Ian Beer

    CVE-2014-4401: Google Project Zero의 Ian Beer

    CVE-2014-4416: Google Project Zero의 Ian Beer

  • IOAcceleratorFamily

    대상: OS X Mountain Lion v10.8.5, OS X Mavericks v10.9~v10.9.4

    영향: 악성 응용 프로그램이 시스템 권한을 사용하여 임의 코드를 실행할 수 있음

    설명: IOKit API 인수 처리 시 null 포인터 역참조가 발생합니다. 이 문제는 향상된 IOKit API 인수 확인을 통해 해결되었습니다.

    CVE-ID

    CVE-2014-4376: Google Project Zero의 Ian Beer

  • IOAcceleratorFamily

    대상: OS X Mavericks v10.9~v10.9.4

    영향: 악성 응용 프로그램이 시스템 권한을 사용하여 임의 코드를 실행할 수 있음

    설명: IOAcceleratorFamily 함수 처리 시 범위를 벗어나는 읽기 문제가 발생합니다. 이 문제는 향상된 범위 검사를 통해 해결되었습니다.

    CVE-ID

    CVE-2014-4402: Google Project Zero의 Ian Beer

  • IOHIDFamily

    대상: OS X Mountain Lion v10.8.5, OS X Mavericks v10.9~v10.9.4

    영향: 로컬 사용자가 커널 포인터를 읽을 수 있어 커널 Address Space Layout Randomization을 우회하는 데 사용할 수 있음

    설명: IOHIDFamily 함수 처리 시 범위를 벗어나는 읽기 문제가 발생합니다. 이 문제는 향상된 범위 검사를 통해 해결되었습니다.

    CVE-ID

    CVE-2014-4379: Google Project Zero의 Ian Beer

  • IOKit

    대상: OS X Mountain Lion v10.8.5, OS X Mavericks v10.9~v10.9.4

    영향: 악성 응용 프로그램이 시스템 권한을 사용하여 임의 코드를 실행할 수 있음

    설명: IODataQueue 대상체의 특정 메타데이터 필드 처리 시 확인 문제가 발생합니다. 이 문제는 향상된 메타데이터 확인을 통해 해결되었습니다.

    CVE-ID

    CVE-2014-4388: @PanguTeam

  • IOKit

    대상: OS X Mountain Lion v10.8.5, OS X Mavericks v10.9~v10.9.4

    영향: 악성 응용 프로그램이 시스템 권한을 사용하여 임의 코드를 실행할 수 있음

    설명: IOKit 함수를 처리할 때 정수 오버플로우가 발생합니다. 이 문제는 향상된 범위 검사를 통해 해결되었습니다.

    CVE-ID

    CVE-2014-4389: Google Project Zero의 Ian Beer

  • 커널

    대상: OS X Mavericks v10.9~v10.9.4

    영향: 로컬 사용자가 커널 주소를 추측하여 커널 ASLR(Address Space Layout Randomization)을 우회할 수 있음

    설명: CPU Global Descriptor Table이 예측 가능한 주소에서 할당되는 경우가 있습니다. 이 문제는 항상 임의 주소에서 Global Descriptor Table을 할당하여 해결되었습니다.

    CVE-ID

    CVE-2014-4403: Google Project Zero의 Ian Beer

  • Libnotify

    대상: OS X Mountain Lion v10.8.5, OS X Mavericks v10.9~v10.9.4

    영향: 악성 응용 프로그램이 루트 권한을 사용하여 임의 코드를 실행할 수 있음

    설명: Libnotify에서 범위를 벗어나는 쓰기 문제가 발생합니다. 이 문제는 향상된 범위 검사를 통해 해결되었습니다

    CVE-ID

    CVE-2014-4381: Google Project Zero의 Ian Beer

  • OpenSSL

    대상: OS X Lion v10.7.5, OS X Lion Server v10.7.5, OS X Mountain Lion v10.8.5, OS X Mavericks v10.9~v10.9.4

    영향: OpenSSL 0.9.8y에 임의 코드 실행을 야기할 수 있는 취약점을 비롯한 여러 취약점이 있음

    설명: OpenSSL 0.9.8y에 여러 취약점이 있습니다. 이 문제는 OpenSSL을 버전 0.9.8za로 업데이트하여 해결되었습니다.

    CVE-ID

    CVE-2014-0076

    CVE-2014-0195

    CVE-2014-0221

    CVE-2014-0224

    CVE-2014-3470

  • QT Media Foundation

    대상: OS X Lion v10.7.5, OS X Lion Server v10.7.5, OS X Mountain Lion v10.8.5, OS X Mavericks v10.9~v10.9.4

    영향: 악의적으로 제작된 동영상 파일을 재생하면 응용 프로그램이 예기치 않게 종료되거나 임의 코드가 실행될 수 있음

    설명: RLE 인코딩 동영상 파일을 처리할 때 메모리 손상 문제가 발생합니다. 이 문제는 향상된 범위 검사를 통해 해결되었습니다.

    CVE-ID

    CVE-2014-1391: iDefense VCP와 협력하는 Fernando Munoz와 HP Zero Day Initiative와 협력하는 Tom Gallagher 및 Paul Bates

  • QT Media Foundation

    대상: OS X Lion v10.7.5, OS X Lion Server v10.7.5, OS X Mountain Lion v10.8.5, OS X Mavericks v10.9~v10.9.4

    영향: 악의적으로 제작된 MIDI 파일을 재생하면 응용 프로그램이 예기치 않게 종료되거나 임의 코드가 실행될 수 있음

    설명: MIDI 파일을 처리할 때 버퍼 오버플로우가 발생합니다. 이 문제는 향상된 범위 검사를 통해 해결되었습니다.

    CVE-ID

    CVE-2014-4350: HP Zero Day Initiative와 협력하는 s3tm3m

  • QT Media Foundation

    대상: OS X Lion v10.7.5, OS X Lion Server v10.7.5, OS X Mountain Lion v10.8.5, OS X Mavericks v10.9~v10.9.4

    영향: 악의적으로 제작된 동영상 파일을 재생하면 응용 프로그램이 예기치 않게 종료되거나 임의 코드가 실행될 수 있음

    설명: 'mvhd' atom을 처리할 때 메모리 손상 문제가 발생합니다. 이 문제는 향상된 범위 검사를 통해 해결되었습니다.

    CVE-ID

    CVE-2014-4979: HP Zero Day Initiative와 협력하는 rgod라고도 하는 Andrea Micalizzi

  • ruby

    대상: OS X Mavericks v10.9~v10.9.4

    영향: 원격 공격자가 임의 코드를 실행할 수 있음

    설명: LibYAML에서 URI의 퍼센트 인코딩 문자를 처리할 때 힙 버퍼 오버플로우가 발생합니다. 이 문제는 향상된 범위 검사를 통해 해결되었습니다. 이 업데이트는 LibYAML을 버전 0.1.6으로 업데이트하여 문제를 해결합니다.

    CVE-ID

    CVE-2014-2525

Apple이 제조하지 않은 제품에 관한 정보 또는 Apple의 관리 또는 테스트 대상이 아닌 독립적인 웹 사이트는 권장 또는 보증 없이 제공되는 것입니다. Apple은 타사 웹 사이트 또는 제품에 대한 선택, 성능, 사용과 관련하여 발생하는 결과에 대해 책임을 지지 않습니다. Apple은 타사 웹 사이트의 정확성 또는 신뢰도에 대해 어떠한 언급도 하지 않습니다. 인터넷을 사용하는 데는 위험이 따르기 마련입니다. 자세한 내용은 공급업체에 문의하십시오. 기타 회사 및 제품 이름은 각 소유자의 상표일 수 있습니다.

게시일: